> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Evaluation Results

> Get detailed per-document-field results for an evaluation. Supports filtering by document_id, field_id, and is_correct.



## OpenAPI

````yaml https://document-assistant.us.aodocs.app/openapi.json get /assistant/api/v1/tenants/{tenant}/libraries/{library_id}/evaluations/{evaluation_id}/results
openapi: 3.1.0
info:
  title: Document Assistant API
  description: |
    <p>
      The Document Assistant API enables developers to integrate document-based assistant
      functionalities into their applications using AODocs.
    </p>
    <p>
      The first step is to enable AIDA (AODocs Intelligent Document Assistant) in your tenant.
      The support team will provide you with the necessary information on how to get started.
    </p>
    <p>
      The second step is to enable AIDA on libraries. You need to be an administrator of the
      library to do this.<br />
      AIDA can answer questions only from those documents that are in an AIDA enabled
      library.<br />
      We create a vector store index for these documents. This can take some time. The get
      library API provides the status of the indexation and an estimate of the time
      remaining.<br />
      The content of the index is automatically kept up-to-date near real time with the
      content changes.
    </p>
    <p>
      The third step is to ask questions based on the AODocs documents.<br />
      AIDA automatically filters the results based on the user's permissions.
    </p>
    <p>
      <strong>Authentication:</strong> All API endpoints require a valid OAuth2 token in the
      Authorization header. Ensure the client ID of the OAuth2 token is whitelisted in AODocs.
    </p>
  version: 1.1.0
servers:
  - url: https://document-assistant.us.aodocs.app
    description: Production US
  - url: https://document-assistant.eu.aodocs.app
    description: Production EU
security: []
paths:
  /assistant/api/v1/tenants/{tenant}/libraries/{library_id}/evaluations/{evaluation_id}/results:
    get:
      tags:
        - metadata_evaluation
      summary: Get Evaluation Results
      description: >-
        Get detailed per-document-field results for an evaluation. Supports
        filtering by document_id, field_id, and is_correct.
      operationId: >-
        get_evaluation_results_assistant_api_v1_tenants__tenant__libraries__library_id__evaluations__evaluation_id__results_get
      parameters:
        - name: evaluation_id
          in: path
          required: true
          schema:
            type: string
            description: Evaluation ID
            title: Evaluation Id
          description: Evaluation ID
        - name: tenant
          in: path
          required: true
          schema:
            type: string
            description: The domain of the customer
            examples:
              - example.com
            title: Tenant
          description: The domain of the customer
        - name: document_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Document Id
        - name: field_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Field Id
        - name: is_correct
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Is Correct
        - name: pageToken
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Pagetoken
        - name: size
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiEvaluationResultList'
        '404':
          description: Evaluation not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ApiEvaluationResultList:
      properties:
        results:
          items:
            $ref: '#/components/schemas/ApiEvaluationResult'
          type: array
          title: Results
        next_page_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Page Token
      type: object
      required:
        - results
      title: ApiEvaluationResultList
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ApiEvaluationResult:
      properties:
        evaluation_id:
          type: string
          title: Evaluation Id
        document_id:
          type: string
          title: Document Id
        document_title:
          type: string
          title: Document Title
        field_id:
          type: string
          title: Field Id
        field_name:
          type: string
          title: Field Name
        field_type:
          type: string
          title: Field Type
        expected_values:
          items:
            type: string
          type: array
          title: Expected Values
          description: Ground truth values from the document at evaluation time
        actual_values:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Actual Values
          description: Values extracted by the LLM. None if extraction failed.
        is_correct:
          type: boolean
          title: Is Correct
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
      type: object
      required:
        - evaluation_id
        - document_id
        - document_title
        - field_id
        - field_name
        - field_type
        - expected_values
        - is_correct
      title: ApiEvaluationResult
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````